%global git_date  20240824
%global git_hash  7a91fe6
%global git_ver  1.5.0

%global rel  10

%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

## Remember to check version upstream

Name:		slurp
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:	Select a region in Sway

License:	MIT
URL:		https://github.com/emersion/slurp
Source0:	%{url}/%{src_name}

BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	scdoc
BuildRequires:	meson
BuildRequires:	gcc
BuildRequires:	gnupg2

%description
Slurp is a command-line tool that allows the user to visually select a region
and prints it to the standard output.

%prep
##%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{name}

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%{_bindir}/slurp
%{_mandir}/man1/slurp.1*

%changelog
%autochangelog
